Переполнение буфера в ImageMagick

Дата публикации:
04.04.2007
Дата изменения:
03.05.2008
Всего просмотров:
1841
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ImageMagick 6.x
Уязвимые версии: ImageMagick 6.3.1, 6.3.2, 6.3.3-3 и 6.2.9, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольный код на целевой системе.

1. Целочисленное переполнение обнаружено в функции "ReadDCMImage()". Удаленный пользователь может с помощью специально сформированного DCM изображения вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

2. Целочисленное переполнение обнаружено в функции "ReadXWDImage()" при подсчете количества памяти, выделяемой для полей 'colors' и 'comment'. Удаленный пользователь может с помощью специально сформированного XWD изображения вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.imagemagick.org

Решение: Установите последнюю версию (6.3.3-5) с сайта производителя.

Ссылки: iDefense Security Advisory 03.31.07: Multiple Vendor ImageMagick DCM and XWD Buffer Overflow Vulnerabilities

или введите имя

CAPTCHA